>From b91f2b68471d367c2f21a133c5320ecd0cce45f6 Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Tue, 21 Feb 2017 09:32:21 -0600
Subject: [PATCH] Added access banner for CA UI.

All pages in CA UI have been modified to retrieve access banner
and display it once at the beginning of the SSL connection.

https://fedorahosted.org/pki/ticket/2582
---
 base/ca/shared/webapps/ca/404.html                             |  8 ++++++--
 base/ca/shared/webapps/ca/500.html                             |  8 ++++++--
 base/ca/shared/webapps/ca/GenUnexpectedError.template          |  9 ++++++++-
 base/ca/shared/webapps/ca/admin/ca/EnrollSuccess.template      |  8 ++++++++
 base/ca/shared/webapps/ca/admin/ca/ImportAdminCert.template    |  6 ++++++
 base/ca/shared/webapps/ca/admin/ca/ImportCert.template         |  9 +++++++++
 base/ca/shared/webapps/ca/admin/ca/adminEnroll.html            |  6 ++++++
 .../ca/shared/webapps/ca/admin/ca/securitydomainlogin.template |  8 ++++++--
 base/ca/shared/webapps/ca/admin/ca/sendCookie.template         |  8 ++++++--
 base/ca/shared/webapps/ca/admin/index.jsp                      |  8 ++++++++
 base/ca/shared/webapps/ca/agent/GenError.template              |  6 ++++++
 base/ca/shared/webapps/ca/agent/GenPending.template            |  6 ++++++
 base/ca/shared/webapps/ca/agent/GenRejected.template           |  6 ++++++
 base/ca/shared/webapps/ca/agent/GenSuccess.template            |  6 ++++++
 base/ca/shared/webapps/ca/agent/GenSvcPending.template         |  8 ++++++++
 base/ca/shared/webapps/ca/agent/GenUnauthorized.template       |  6 ++++++
 base/ca/shared/webapps/ca/agent/GenUnexpectedError.template    |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/EnrollSuccess.template      |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/ImportCert.template         |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/ListRequests.html           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/ProfileApprove.template     |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/ProfileList.template        |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/ProfileProcess.template     |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/ProfileReview.template      |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/ProfileSelect.template      |  8 ++++++++
 base/ca/shared/webapps/ca/agent/ca/SrchCert.html               |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/SrchRequests.html           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/SrchRevokeCert.html         |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/UpdateDir.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/bulkissuance.template       |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/cloneRedirect.template      |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/confirmRevocation.template  |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/displayBySerial.template    |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/displayBySerial2.template   |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/displayCRL.template         |  6 ++++++
 .../shared/webapps/ca/agent/ca/displayCertFromRequest.template |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/error.template              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameCRL.html               |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameDir.html               |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameDisplayCRL.html        |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameList.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameListReq.html           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameOCSP.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameProfile.html           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameRevoke.html            |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameSearch.html            |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameSrchRequests.html      |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/frameStats.html             |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/getOCSPInfo.template        |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/getStats.template           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/index.jsp                   |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuCRL.html                |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuDir.html                |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuDisplayCRL.html         |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuList.html               |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuListReq.html            |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuOCSP.html               |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuProfile.html            |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuRevoke.html             |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuSearch.html             |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuSrchRequests.html       |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/menuStats.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/monitor.html                |  8 ++++++--
 base/ca/shared/webapps/ca/agent/ca/monitor.template            |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/notImplemented.html         |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/processCertReq.template     |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/processReq.template         |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/queryBySerial.html          |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/queryCert.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/queryCert.template          |  7 +++++++
 base/ca/shared/webapps/ca/agent/ca/queryReq.template           |  7 +++++++
 base/ca/shared/webapps/ca/agent/ca/reasonToRevoke.template     |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/revocationResult.template   |  7 +++++++
 base/ca/shared/webapps/ca/agent/ca/revokeBySerial.template     | 10 +++++++++-
 base/ca/shared/webapps/ca/agent/ca/revokeCert.html             |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/srchCert.template           |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/toDisplayCRL.template       |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/toUpdateCRL.template        |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/top.html                    |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/unrevocationResult.template |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/updateCRL.html              |  6 ++++++
 base/ca/shared/webapps/ca/agent/ca/updateCRL.template          |  9 ++++++++-
 base/ca/shared/webapps/ca/agent/ca/updateDir.template          |  9 ++++++++-
 base/ca/shared/webapps/ca/agent/header.template                |  8 ++++++--
 base/ca/shared/webapps/ca/agent/index.jsp                      |  8 ++++++++
 base/ca/shared/webapps/ca/agent/index.template                 |  8 ++++++--
 base/ca/shared/webapps/ca/agent/ports.template                 |  8 ++++++--
 base/ca/shared/webapps/ca/ee/GenError.template                 |  8 ++++++++
 base/ca/shared/webapps/ca/ee/GenPending.template               |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/GenRejected.template              |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/GenSuccess.template               |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/GenSvcPending.template            |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/GenUnauthorized.template          |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/GenUnexpectedError.template       |  9 ++++++++-
 base/ca/shared/webapps/ca/ee/ca/AIMEnroll.html                 |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/CMCEnrollment.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/CMCRevReq.html                 |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/CertBasedDualEnroll.html       |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/CertBasedEncryptionEnroll.html |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/CertBasedSingleEnroll.html     |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ChallengeRevoke1.html          |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/DirPinUserEnroll.html          |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/DirUserEnroll.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/DisplayCRL.html                |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/EnrollSuccess.template         |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/GetCAChain.html                |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ImportAdminCert.template       |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ImportCert.template            |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/KeyRecovery.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ManCAEnroll.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ManObjSignEnroll.html          |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ManRAEnroll.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ManServerEnroll.html           |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ManUserEnroll.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/OCSPResponder.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ObjSignPKCS10Enroll.html       |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/PortalEnrollment.html          |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ProfileList.template           |  8 ++++++--
 base/ca/shared/webapps/ca/ee/ca/ProfileSelect.template         |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/ProfileSubmit.template         |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/RenewalSuccess.template        |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/RevocationSuccess.template     |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/UserRenewal.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/UserRevocation.html            |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/bench2k.html                   |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/checkRequest.html              |  7 ++++++-
 base/ca/shared/webapps/ca/ee/ca/displayBySerial.template       |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/displayBySerial2.template      |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/displayCRL.template            |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/displayCaCert.template         |  6 ++++++
 .../ca/shared/webapps/ca/ee/ca/displayCertFromRequest.template |  8 ++++++++
 base/ca/shared/webapps/ca/ee/ca/enrollMenu.html                |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/index.jsp                      |  8 ++++++--
 base/ca/shared/webapps/ca/ee/ca/policyEnrollment/index.jsp     |  6 ++++++
 .../shared/webapps/ca/ee/ca/policyEnrollment/profileMenu.html  |  6 ++++++
 .../webapps/ca/ee/ca/policyEnrollment/retrievalMenu.html       |  6 ++++++
 .../webapps/ca/ee/ca/policyEnrollment/revocationMenu.html      |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/profileEnrollment/index.jsp    |  6 ++++++
 .../shared/webapps/ca/ee/ca/profileEnrollment/profileMenu.html |  6 ++++++
 .../webapps/ca/ee/ca/profileEnrollment/retrievalMenu.html      |  6 ++++++
 .../webapps/ca/ee/ca/profileEnrollment/revocationMenu.html     |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/profileMenu.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/queryBySerial.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/queryCert.html                 |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/queryCert.template             |  7 +++++++
 base/ca/shared/webapps/ca/ee/ca/reasonToRevoke.template        |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/recoveryMenu.html              |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/remoteAuthConfig.template      |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/renewalMenu.html               |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/requestStatus.template         |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/retrievalMenu.html             |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/revocationMenu.html            |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/revocationResult.template      |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/srchCert.html                  |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/srchCert.template              |  7 +++++++
 base/ca/shared/webapps/ca/ee/ca/tabs.html                      |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/toDisplayCRL.template          |  6 ++++++
 base/ca/shared/webapps/ca/ee/ca/unrevocationResult.template    |  7 +++++++
 base/ca/shared/webapps/ca/ee/index.jsp                         |  8 ++++++++
 base/ca/shared/webapps/ca/index.jsp                            |  8 ++++++++
 base/ca/shared/webapps/ca/services.template                    |  8 ++++++--
 162 files changed, 1040 insertions(+), 33 deletions(-)

diff --git a/base/ca/shared/webapps/ca/GenUnexpectedError.template b/base/ca/shared/webapps/ca/GenUnexpectedError.template
index 312559994fa961767c37578ea37bcd30ad0dc478..c7c978dd3f006d73d4acda06b67ab6ea3fc50b08 100644
--- a/base/ca/shared/webapps/ca/GenUnexpectedError.template
+++ b/base/ca/shared/webapps/ca/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/admin/ca/EnrollSuccess.template b/base/ca/shared/webapps/ca/admin/ca/EnrollSuccess.template
index 80c63322d9f5cdb81e53305811a63b92b15b49b8..913957a4e20efd2ed925d014312ec6040d37aa2f 100644
--- a/base/ca/shared/webapps/ca/admin/ca/EnrollSuccess.template
+++ b/base/ca/shared/webapps/ca/admin/ca/EnrollSuccess.template
@@ -17,11 +17,19 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>
 CS Enroll Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/admin/ca/ImportAdminCert.template b/base/ca/shared/webapps/ca/admin/ca/ImportAdminCert.template
index 5d1015424a87c05fe9623ada10358fd6987a5478..c9fead711479a20d5d83195e0aae58e1a35a66f9 100644
--- a/base/ca/shared/webapps/ca/admin/ca/ImportAdminCert.template
+++ b/base/ca/shared/webapps/ca/admin/ca/ImportAdminCert.template
@@ -21,6 +21,12 @@
 <TITLE>VBScript Administrator Certificate Enrollment
 </TITLE>
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT language="VBScript">
 <!--
                 Dim pkcs7
diff --git a/base/ca/shared/webapps/ca/admin/ca/ImportCert.template b/base/ca/shared/webapps/ca/admin/ca/ImportCert.template
index bb644ed9ea64204673a4bafa33f0e03c0197ae02..7188167586c33846d2c552efcc7158457839aa51 100644
--- a/base/ca/shared/webapps/ca/admin/ca/ImportCert.template
+++ b/base/ca/shared/webapps/ca/admin/ca/ImportCert.template
@@ -17,12 +17,21 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>
 CS Enroll Request Success
 </TITLE>
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
+
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ca/shared/webapps/ca/admin/ca/securitydomainlogin.template b/base/ca/shared/webapps/ca/admin/ca/securitydomainlogin.template
index 3ea7cb2b4756ff2314bf9702a57b08be3e803bcf..90bbd1ac9451ebc7e2220a035b22aa30cba98477 100644
--- a/base/ca/shared/webapps/ca/admin/ca/securitydomainlogin.template
+++ b/base/ca/shared/webapps/ca/admin/ca/securitydomainlogin.template
@@ -19,8 +19,12 @@
 <html>
 <CMS_TEMPLATE>
   <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/admin/ca/sendCookie.template b/base/ca/shared/webapps/ca/admin/ca/sendCookie.template
index e086cf8dd93f567c89149c5882ad39cac0c98eb3..7a55ad46203efa3ee1a1432d1989a95c3b737fd0 100644
--- a/base/ca/shared/webapps/ca/admin/ca/sendCookie.template
+++ b/base/ca/shared/webapps/ca/admin/ca/sendCookie.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ca/shared/webapps/ca/admin/index.jsp b/base/ca/shared/webapps/ca/admin/index.jsp
index 30662d47aa6a0c3f7aafc03acf16b02cf2ac93bf..eae2da3c25ffaac82c434a5ef5137d9c3d635138 100644
--- a/base/ca/shared/webapps/ca/admin/index.jsp
+++ b/base/ca/shared/webapps/ca/admin/index.jsp
@@ -16,8 +16,16 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     // redirect to 'ROOT'
     window.location = "/";
 </script>
+</head>
 </html>
diff --git a/base/ca/shared/webapps/ca/agent/GenError.template b/base/ca/shared/webapps/ca/agent/GenError.template
index 19f85f7abf2ca934db28c2e9eeda88c5183ac551..258e5d9f4d8a0cc8216f038bf1e4ef8a27105155 100644
--- a/base/ca/shared/webapps/ca/agent/GenError.template
+++ b/base/ca/shared/webapps/ca/agent/GenError.template
@@ -21,6 +21,12 @@
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Processing Error!</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 
 <BODY BGCOLOR="white">
diff --git a/base/ca/shared/webapps/ca/agent/GenPending.template b/base/ca/shared/webapps/ca/agent/GenPending.template
index 50d23ee3178e26886c9433a82a706d9a56d2b5e8..1f13946821fedd6efb6320350f6e6ae3659a8528 100644
--- a/base/ca/shared/webapps/ca/agent/GenPending.template
+++ b/base/ca/shared/webapps/ca/agent/GenPending.template
@@ -22,6 +22,12 @@
 
 <TITLE>CA Agent Request Pending</TITLE>
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/agent/GenRejected.template b/base/ca/shared/webapps/ca/agent/GenRejected.template
index 81d12641aeadf2a4f8f470523c81b97524921cdb..f1ad2730a19a998d59d648b84fa67583a65488e9 100644
--- a/base/ca/shared/webapps/ca/agent/GenRejected.template
+++ b/base/ca/shared/webapps/ca/agent/GenRejected.template
@@ -21,6 +21,12 @@
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Request Rejected</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/GenSuccess.template b/base/ca/shared/webapps/ca/agent/GenSuccess.template
index f3531f0b93e8c2b1fb8fba8bfa81c20037ea9084..a1ed733d655630a0e9893279d74afaf78e9b9ca7 100644
--- a/base/ca/shared/webapps/ca/agent/GenSuccess.template
+++ b/base/ca/shared/webapps/ca/agent/GenSuccess.template
@@ -22,6 +22,12 @@
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Generic Request Success</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 
 <BODY BGCOLOR=white>
diff --git a/base/ca/shared/webapps/ca/agent/GenSvcPending.template b/base/ca/shared/webapps/ca/agent/GenSvcPending.template
index 584402c698493b428677bb6711dabb5e4e86ef65..a1e90f8064cf5f207f5d2f5110f47fbabe6e3ac1 100644
--- a/base/ca/shared/webapps/ca/agent/GenSvcPending.template
+++ b/base/ca/shared/webapps/ca/agent/GenSvcPending.template
@@ -17,9 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Request Svc Pending</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY bgcolor="white">
 
diff --git a/base/ca/shared/webapps/ca/agent/GenUnauthorized.template b/base/ca/shared/webapps/ca/agent/GenUnauthorized.template
index f0016cdfa106fadc9f4df3a864b220ce2a1756b9..df20d6bfafc101c1be4559b5087356bbd4b492be 100644
--- a/base/ca/shared/webapps/ca/agent/GenUnauthorized.template
+++ b/base/ca/shared/webapps/ca/agent/GenUnauthorized.template
@@ -22,6 +22,12 @@
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Generic Unauthorized</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <BODY BGCOLOR=white>
diff --git a/base/ca/shared/webapps/ca/agent/GenUnexpectedError.template b/base/ca/shared/webapps/ca/agent/GenUnexpectedError.template
index 58534e03b2dfb4656aa8127a33a1a7a6e4e94c85..3762a4ebdbbedd6052b7d83902acc668c46b76f7 100644
--- a/base/ca/shared/webapps/ca/agent/GenUnexpectedError.template
+++ b/base/ca/shared/webapps/ca/agent/GenUnexpectedError.template
@@ -17,9 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>CA Agent Processing Error!</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 
 <BODY BGCOLOR="white">
 
diff --git a/base/ca/shared/webapps/ca/agent/ca/EnrollSuccess.template b/base/ca/shared/webapps/ca/agent/ca/EnrollSuccess.template
index 44aecd152d60db833fd423457555f9b0096afd76..d3ccad4d8120a2ae48a961c4d53c4ba3c7e1674d 100644
--- a/base/ca/shared/webapps/ca/agent/ca/EnrollSuccess.template
+++ b/base/ca/shared/webapps/ca/agent/ca/EnrollSuccess.template
@@ -24,6 +24,12 @@
 CS Enroll Request Success
 </TITLE>
 
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/ca/ImportCert.template b/base/ca/shared/webapps/ca/agent/ca/ImportCert.template
index 33a1444609f56e2d1fe3601bd5b0e690e7dfeaa7..eccf947c01d5340bb65d95579f09a13a6e4405f8 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ImportCert.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ImportCert.template
@@ -22,6 +22,12 @@
 <TITLE>
 CS Enroll Request Success
 </TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 
 <BODY bgcolor="white">
diff --git a/base/ca/shared/webapps/ca/agent/ca/ProfileApprove.template b/base/ca/shared/webapps/ca/agent/ca/ProfileApprove.template
index ff8613b42469a52ae2f2b10e5dd7466e7eca10b1..ed7eb7f3595119a586e95aba9ab6f4b0a2e1c73e 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ProfileApprove.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ProfileApprove.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 <font size="+1" face="PrimaSans BT, Verdana, sans-serif">Manage Certificate Profiles<br></font>
 <font size="-1" face="PrimaSans BT, Verdana, sans-serif">
diff --git a/base/ca/shared/webapps/ca/agent/ca/ProfileList.template b/base/ca/shared/webapps/ca/agent/ca/ProfileList.template
index 42e0f5cb3cf00e5323750c22acdf1a3d47b4f7da..f01264aaee2b44efbf3e257b22aedaa96a0459bc 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ProfileList.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ProfileList.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 <font size="+1" face="PrimaSans BT, Verdana, sans-serif">Manage Certificate Profiles<br></font>
 <font size="-1" face="PrimaSans BT, Verdana, sans-serif">
diff --git a/base/ca/shared/webapps/ca/agent/ca/ProfileProcess.template b/base/ca/shared/webapps/ca/agent/ca/ProfileProcess.template
index 95c38b2f3aca7f3103629322ee70f81620e301c2..5cb9aff0119f8d91e7928ec4ccbd1b8593c8fcc5 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ProfileProcess.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ProfileProcess.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 
 <script type="text/javascript">
diff --git a/base/ca/shared/webapps/ca/agent/ca/ProfileReview.template b/base/ca/shared/webapps/ca/agent/ca/ProfileReview.template
index d3b9970265cc3d2a6eaaa209246cccc1548a33e3..7e3cab0badd7d6557c35b98806d94017b7b07cff 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ProfileReview.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ProfileReview.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 <style>
 TABLE { border-spacing: 0 0; }
diff --git a/base/ca/shared/webapps/ca/agent/ca/ProfileSelect.template b/base/ca/shared/webapps/ca/agent/ca/ProfileSelect.template
index 87bf61f45096151f90b773c74c3b6b922f8a5be2..061fad89af6504ac723fc2c1d26e0354e7ed8bce 100644
--- a/base/ca/shared/webapps/ca/agent/ca/ProfileSelect.template
+++ b/base/ca/shared/webapps/ca/agent/ca/ProfileSelect.template
@@ -17,6 +17,14 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <CMS_TEMPLATE>
 <font size="+1" face="PrimaSans BT, Verdana, sans-serif">Approve Certificate Profile<br></font>
 <font size="-1" face="PrimaSans BT, Verdana, sans-serif">
diff --git a/base/ca/shared/webapps/ca/agent/ca/bulkissuance.template b/base/ca/shared/webapps/ca/agent/ca/bulkissuance.template
index 01f57455db49e13e1d7e381b15f59cdda4d018a3..41734cd8314e6bf8e00eb08434838aec9bf9047f 100644
--- a/base/ca/shared/webapps/ca/agent/ca/bulkissuance.template
+++ b/base/ca/shared/webapps/ca/agent/ca/bulkissuance.template
@@ -19,6 +19,12 @@
 <HTML>
 <HEAD>
 <CMS_TEMPLATE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </HEAD>
 </HTML>
 
